[HarfBuzz] harfbuzz: Branch 'master' - 3 commits
Behdad Esfahbod
behdad at kemper.freedesktop.org
Thu Nov 9 01:05:12 UTC 2017
src/hb-ot-shape-complex-arabic.cc | 2 +-
test/shaping/run-tests.sh | 9 +++++----
test/shaping/tests/arabic-stch.tests | 2 +-
3 files changed, 7 insertions(+), 6 deletions(-)
New commits:
commit c4f4c0a2faab0635dd2ab3078243994ad3066287
Author: Behdad Esfahbod <behdad at behdad.org>
Date: Wed Nov 8 17:04:31 2017 -0800
Fix indexing in unsafe-to-break marking for 'stch' feature
Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=4099
diff --git a/src/hb-ot-shape-complex-arabic.cc b/src/hb-ot-shape-complex-arabic.cc
index eda20ca1..3ba2d069 100644
--- a/src/hb-ot-shape-complex-arabic.cc
+++ b/src/hb-ot-shape-complex-arabic.cc
@@ -560,7 +560,7 @@ apply_stch (const hb_ot_shape_plan_t *plan,
}
else
{
- buffer->unsafe_to_break (context, end + 1);
+ buffer->unsafe_to_break (context, end);
hb_position_t x_offset = 0;
for (unsigned int k = end; k > start; k--)
{
commit 822035ce73931ccd5d2455584aad603037892498
Author: Behdad Esfahbod <behdad at behdad.org>
Date: Wed Nov 8 17:03:55 2017 -0800
[tests/arabic-stch.tests] Don't show flags
We don't need to test the actual flag values. For unsafe-to-break,
the --verify in run-tests.sh checks what we are interested in.
diff --git a/test/shaping/tests/arabic-stch.tests b/test/shaping/tests/arabic-stch.tests
index a268d8a7..a21dfa22 100644
--- a/test/shaping/tests/arabic-stch.tests
+++ b/test/shaping/tests/arabic-stch.tests
@@ -1 +1 @@
-fonts/sha1sum/d9b8bc10985f24796826c29f7ccba3d0ae11ec02.ttf:--no-glyph-names --show-flags:U+0718,U+070F,U+0718,U+0718,U+002E:[1=4+168|3=3+502#1|3=2+502#1|4=1 at -1004,0+0#1|5=1 at -876,0+0#1|5=1 at -799,0+0#1|5=1 at -722,0+0#1|5=1 at -645,0+0#1|4=1 at -566,0+0#1|5=1 at -438,0+0#1|5=1 at -361,0+0#1|5=1 at -284,0+0#1|5=1 at -207,0+0#1|4=1 at -128,0+0#1|3=0+502]
+fonts/sha1sum/d9b8bc10985f24796826c29f7ccba3d0ae11ec02.ttf:--no-glyph-names:U+0718,U+070F,U+0718,U+0718,U+002E:[1=4+168|3=3+502|3=2+502|4=1 at -1004,0+0|5=1 at -876,0+0|5=1 at -799,0+0|5=1 at -722,0+0|5=1 at -645,0+0|4=1 at -566,0+0|5=1 at -438,0+0|5=1 at -361,0+0|5=1 at -284,0+0|5=1 at -207,0+0|4=1 at -128,0+0|3=0+502]
commit 53f0c27ddca92af1af27b6ffa9dcd0949afed664
Author: Behdad Esfahbod <behdad at behdad.org>
Date: Wed Nov 8 17:02:54 2017 -0800
Minor
diff --git a/test/shaping/run-tests.sh b/test/shaping/run-tests.sh
index bb1ba80e..5fa8017c 100755
--- a/test/shaping/run-tests.sh
+++ b/test/shaping/run-tests.sh
@@ -4,7 +4,8 @@ test "x$srcdir" = x && srcdir=.
test "x$builddir" = x && builddir=.
test "x$top_builddir" = x && top_builddir=../..
-hb_shape="$top_builddir/util/hb-shape$EXEEXT --verify"
+extra_options="--verify"
+hb_shape="$top_builddir/util/hb-shape$EXEEXT"
#hb_shape="$top_builddir/util/hb-shape$EXEEXT"
fails=0
@@ -26,14 +27,14 @@ for f in "$@"; do
$reference || echo "# hb-shape $fontfile --unicodes $unicodes"
continue
fi
- $reference || echo "hb-shape $fontfile $options --unicodes $unicodes"
- glyphs1=`$hb_shape --font-funcs=ft "$srcdir/$fontfile" $options --unicodes "$unicodes"`
+ $reference || echo "hb-shape $fontfile $extra_options $options --unicodes $unicodes"
+ glyphs1=`$hb_shape --font-funcs=ft "$srcdir/$fontfile" $extra_options $options --unicodes "$unicodes"`
if test $? != 0; then
echo "hb-shape --font-funcs=ft failed." >&2
fails=$((fails+1))
#continue
fi
- glyphs2=`$hb_shape --font-funcs=ot "$srcdir/$fontfile" $options --unicodes "$unicodes"`
+ glyphs2=`$hb_shape --font-funcs=ot "$srcdir/$fontfile" $extra_options $options --unicodes "$unicodes"`
if test $? != 0; then
echo "hb-shape --font-funcs=ot failed." >&2
fails=$((fails+1))
More information about the HarfBuzz
mailing list